Wasm
Circuit
/cosmwasm/wasm/v1/circuit/{zk_id}Circuit gets reconstructed circuit metadata and binary for a zk_id. Does not expose raw standalone param files.
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Code
/cosmwasm/wasm/v1/code/{code_id}Code gets the binary code and metadata for a single wasm code
ContractsByCode
/cosmwasm/wasm/v1/code/{code_id}/contractsContractsByCode lists all smart contracts for a code id
Path Parameters
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
ContractHistory
/cosmwasm/wasm/v1/contract/{address}/historyContractHistory gets the contract code history
Path Parameters
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
RawContractState
/cosmwasm/wasm/v1/contract/{address}/raw/{query_data}RawContractState gets single key from the raw store data of a contract
SmartContractState
/cosmwasm/wasm/v1/contract/{address}/smart/{query_data}SmartContractState get smart query result from the contract
AllContractState
/cosmwasm/wasm/v1/contract/{address}/stateAllContractState gets all raw store data for a single contract
Path Parameters
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
ContractsByCreator
/cosmwasm/wasm/v1/contracts/creator/{creator_address}ContractsByCreator gets the contracts by creator
Path Parameters
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Vk
/cosmwasm/wasm/v1/vk/{vk_id}Vk gets circuit/vk binary for a vk/zk id (reconstructed via wasmvm). Raw commitment params are never returned.
VkInfo
/cosmwasm/wasm/v1/vk_info/{vk_id}VkInfo gets verifying-key / circuit metadata (checksums, creator).
VkParam
/cosmwasm/wasm/v1/vk_param/{param_id}VkParam returns param metadata only (checksum + creator). Raw param bytes are intentionally not queryable.
VkParamInfo
/cosmwasm/wasm/v1/vk_param_info/{param_id}VkParamInfo returns the same metadata as VkParam (checksums / creator / ids).
WasmLimitsConfig
/cosmwasm/wasm/v1/wasm-limits-configWasmLimitsConfig gets the configured limits for static validation of Wasm files, encoded in JSON.